string
Идентификатор Spring bean, который содержит вызываемый сервис.dataManagerServiceImpl
string
по умолчанию:"PROTOTYPE"
Область действия bean. Для вызовов сервисов используется PROTOTYPE.
string
Имя публичного метода сервиса, указанное в сигнатуре ниже.
object[]
Массив аргументов метода. Каждый аргумент передаётся объектом с индексом 0, 1 и т. д.; значение должно соответствовать Java-типу параметра.
Headers
POST /api/v1/bean/request
Content-Type: application/json
Lang-Context: ru
Site-Context: my-site
Authorization: Bearer <token>
Lang-Context и Site-Context необходимо передавать в каждом запросе. Для защищённых методов передавайте JWT в заголовке Authorization в формате Bearer <token>.
Доступ: ADMIN. Bearer Token: требуется.
- GUEST — без логина; доступен только whitelist.
- USER — требуется авторизация; доступны методы с проверкой USER.
- ADMIN — полный доступ к public-методам всех сервисов.
- Если метод проверяет роль внутри логики, GUEST может получить null.
Методы
Category
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createCategory
Пример JSON объекта запроса:{
"id": null,
"name": null,
"description": null,
"text": null,
"keywords": null,
"searchTerms": null,
"parent": null,
"imageUrlRemove": false,
"parentIds": null,
"childrenIds": null,
"productsIds": null,
"imageURLs": null,
"translations": null,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createCategory",
"args": [
{
"0": null
}
]
}
Product
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createProduct
Пример JSON объекта запроса:{
"id": null,
"name": null,
"description": null,
"text": null,
"keywords": null,
"searchTerms": null,
"imageUrlRemove": false,
"parentCategories": null,
"attributesIds": null,
"skuIds": null,
"imageURLs": null,
"translations": null,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createProduct",
"args": [
{
"0": null
}
]
}
SKU
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createSKU
Пример JSON объекта запроса:{
"id": null,
"translation": null,
"seoUrl": null,
"name": null,
"description": null,
"text": null,
"keywords": null,
"searchTerms": null,
"parentProducts": null,
"attributesIds": null,
"sellerSkuIds": null,
"imageURLs": null,
"documentURLs": null,
"translations": null,
"imageUrlRemove": false,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createSKU",
"args": [
{
"0": null
}
]
}
Attribute
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createAttribute
Пример JSON объекта запроса:{
"id": null,
"type": null,
"areaUsageType": null,
"translation": null,
"name": null,
"description": null,
"text": null,
"searchTerms": null,
"min": 0,
"max": 0,
"step": 0,
"parentProducts": null,
"parentSkus": null,
"optionsIds": null,
"measurement": null,
"translations": null,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createAttribute",
"args": [
{
"0": null
}
]
}
Option
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createOption
Пример JSON объекта запроса:{
"id": null,
"text": null,
"name": null,
"searchTerms": null,
"parentAttributes": null,
"imageURLs": null,
"imageUrlRemove": false,
"translations": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createOption",
"args": [
{
"0": null
}
]
}
Measurement
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createMeasurement
Пример JSON объекта запроса:{
"id": null,
"value": null,
"parentAttributes": null,
"alias": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createMeasurement",
"args": [
{
"0": null
}
]
}
Unit
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createUnit
Пример JSON объекта запроса:{
"id": null,
"type": null,
"text": null,
"name": null,
"countPerUnitSuffix": null,
"minOrderSuffix": null,
"quantitySuffix": null,
"searchTerms": null,
"localizations": null,
"parentSellerSkus": null,
"translations": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createUnit",
"args": [
{
"0": null
}
]
}
Seller
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createSeller
Пример JSON объекта запроса:{
"id": null,
"stripeCustomerId": null,
"stripeConnectId": null,
"address": null,
"companyName": null,
"vatNumber": null,
"numberOfEmployees": null,
"sellerType": null,
"sellerTariff": null,
"subscription": null,
"companyEmailAddress": null,
"companyPhone": null,
"companyWebSite": null,
"description": null,
"imageURLs": null,
"shippingAddresses": null,
"documentURLs": null,
"profileIds": null,
"certificateIds": null,
"sellerSkuIds": null,
"ordersAsBuyerIds": null,
"ordersAsVendorIds": null,
"favoriteSellersIds": null,
"favoriteSellerSkuIds": null,
"sellerCategoriesIds": null,
"sellerProductsIds": null,
"emailNotifications": false,
"onlineActive": false,
"imageUrlRemove": false,
"metaInfo": null,
"createdBy": null,
"createdDate": null,
"lastModifiedBy": null,
"lastModifiedDate": null,
"alias": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createSeller",
"args": [
{
"0": null
}
]
}
Profile
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createProfile
Пример JSON объекта запроса:{
"id": null,
"user": null,
"firstName": null,
"lastName": null,
"website": null,
"phone": null,
"mobilePhone": null,
"birthday": null,
"emailAddress": null,
"gender": null,
"salutation": null,
"embeddedParent": null,
"emailNotifications": false,
"imageURLs": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createProfile",
"args": [
{
"0": null
}
]
}
User
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createUser
Пример JSON объекта запроса:{
"id": null,
"username": null,
"password": null,
"savedPassword": null,
"fallIntoObjects": null,
"active": false,
"roles": null,
"permissions": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createUser",
"args": [
{
"0": null
}
]
}
LocalizedText
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createTranslation
Пример JSON объекта запроса:{
"id": null,
"text": null,
"lang": null,
"fallIntoObjects": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createTranslation",
"args": [
{
"0": null
}
]
}
Order
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
createOrder
Пример JSON объекта запроса:{
"id": null,
"contactProfileId": null,
"embeddedVendor": null,
"embeddedBuyer": null,
"orderTimeLines": null,
"commerceItems": null,
"tax": null,
"currencySymbol": null,
"currencyCode": null,
"packageItem": null,
"paymentMethodId": null,
"paymentIntentId": null,
"parcelId": null,
"payoutId": null,
"shippingAddress": null,
"sellerTaxRate": null,
"buyerTaxRate": null,
"serviceTaxRate": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "createOrder",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
categoryId | String | Передаётся через args[0].0. |
deleteCategory
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteCategory",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
categoryIds | ArrayList<String> | Передаётся через args[0].0. |
deleteCategories
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteCategories",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
productId | String | Передаётся через args[0].0. |
deleteProduct
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteProduct",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
productIds | ArrayList<String> | Передаётся через args[0].0. |
deleteProducts
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteProducts",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
skuId | String | Передаётся через args[0].0. |
deleteSKU
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteSKU",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
skuIds | ArrayList<String> | Передаётся через args[0].0. |
deleteSKUs
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteSKUs",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
listingId | String | Передаётся через args[0].0. |
deleteListing
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteListing",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
listingIds | ArrayList<String> | Передаётся через args[0].0. |
deleteListings
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteListings",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
attributeId | String | Передаётся через args[0].0. |
deleteAttribute
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteAttribute",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
attributeIds | ArrayList<String> | Передаётся через args[0].0. |
deleteAttributes
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteAttributes",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
optionId | String | Передаётся через args[0].0. |
deleteOption
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteOption",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
optionsIds | ArrayList<String> | Передаётся через args[0].0. |
deleteOptions
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteOptions",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
measurementId | String | Передаётся через args[0].0. |
deleteMeasurement
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteMeasurement",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
measurementIds | ArrayList<String> | Передаётся через args[0].0. |
deleteMeasurements
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteMeasurements",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
unitId | String | Передаётся через args[0].0. |
deleteUnit
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteUnit",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
unitsIds | ArrayList<String> | Передаётся через args[0].0. |
deleteUnits
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteUnits",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
sellerId | String | Передаётся через args[0].0. |
deleteSeller
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteSeller",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
sellerIds | ArrayList<String> | Передаётся через args[0].0. |
deleteSellers
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteSellers",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
profileId | String | Передаётся через args[0].0. |
deleteProfile
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteProfile",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
profileIds | ArrayList<String> | Передаётся через args[0].0. |
deleteProfiles
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteProfiles",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
userId | String | Передаётся через args[0].0. |
deleteUser
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteUser",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
userIds | ArrayList<String> | Передаётся через args[0].0. |
deleteUsers
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteUsers",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
translationId | String | Передаётся через args[0].0. |
deleteTranslation
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteTranslation",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
translationIds | ArrayList<String> | Передаётся через args[0].0. |
deleteTranslations
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteTranslations",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
orderId | String | Передаётся через args[0].0. |
deleteOrder
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteOrder",
"args": [
{
"0": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
ordersIds | ArrayList<String> | Передаётся через args[0].0. |
deleteOrders
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "deleteOrders",
"args": [
{
"0": null
}
]
}
Category
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateCategory
Пример JSON объекта запроса:{
"id": null,
"name": null,
"description": null,
"text": null,
"keywords": null,
"searchTerms": null,
"parent": null,
"imageUrlRemove": false,
"parentIds": null,
"childrenIds": null,
"productsIds": null,
"imageURLs": null,
"translations": null,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateCategory",
"args": [
{
"0": null
}
]
}
Product
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateProduct
Пример JSON объекта запроса:{
"id": null,
"name": null,
"description": null,
"text": null,
"keywords": null,
"searchTerms": null,
"imageUrlRemove": false,
"parentCategories": null,
"attributesIds": null,
"skuIds": null,
"imageURLs": null,
"translations": null,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateProduct",
"args": [
{
"0": null
}
]
}
SKU
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateSKU
Пример JSON объекта запроса:{
"id": null,
"translation": null,
"seoUrl": null,
"name": null,
"description": null,
"text": null,
"keywords": null,
"searchTerms": null,
"parentProducts": null,
"attributesIds": null,
"sellerSkuIds": null,
"imageURLs": null,
"documentURLs": null,
"translations": null,
"imageUrlRemove": false,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateSKU",
"args": [
{
"0": null
}
]
}
Attribute
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateAttribute
Пример JSON объекта запроса:{
"id": null,
"type": null,
"areaUsageType": null,
"translation": null,
"name": null,
"description": null,
"text": null,
"searchTerms": null,
"min": 0,
"max": 0,
"step": 0,
"parentProducts": null,
"parentSkus": null,
"optionsIds": null,
"measurement": null,
"translations": null,
"active": false,
"metaInfo": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateAttribute",
"args": [
{
"0": null
}
]
}
Option
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateOption
Пример JSON объекта запроса:{
"id": null,
"text": null,
"name": null,
"searchTerms": null,
"parentAttributes": null,
"imageURLs": null,
"imageUrlRemove": false,
"translations": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateOption",
"args": [
{
"0": null
}
]
}
Measurement
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateMeasurement
Пример JSON объекта запроса:{
"id": null,
"value": null,
"parentAttributes": null,
"alias": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateMeasurement",
"args": [
{
"0": null
}
]
}
Unit
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateUnit
Пример JSON объекта запроса:{
"id": null,
"type": null,
"text": null,
"name": null,
"countPerUnitSuffix": null,
"minOrderSuffix": null,
"quantitySuffix": null,
"searchTerms": null,
"localizations": null,
"parentSellerSkus": null,
"translations": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateUnit",
"args": [
{
"0": null
}
]
}
Seller
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateSeller
Пример JSON объекта запроса:{
"id": null,
"stripeCustomerId": null,
"stripeConnectId": null,
"address": null,
"companyName": null,
"vatNumber": null,
"numberOfEmployees": null,
"sellerType": null,
"sellerTariff": null,
"subscription": null,
"companyEmailAddress": null,
"companyPhone": null,
"companyWebSite": null,
"description": null,
"imageURLs": null,
"shippingAddresses": null,
"documentURLs": null,
"profileIds": null,
"certificateIds": null,
"sellerSkuIds": null,
"ordersAsBuyerIds": null,
"ordersAsVendorIds": null,
"favoriteSellersIds": null,
"favoriteSellerSkuIds": null,
"sellerCategoriesIds": null,
"sellerProductsIds": null,
"emailNotifications": false,
"onlineActive": false,
"imageUrlRemove": false,
"metaInfo": null,
"createdBy": null,
"createdDate": null,
"lastModifiedBy": null,
"lastModifiedDate": null,
"alias": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateSeller",
"args": [
{
"0": null
}
]
}
Profile
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateProfile
Пример JSON объекта запроса:{
"id": null,
"user": null,
"firstName": null,
"lastName": null,
"website": null,
"phone": null,
"mobilePhone": null,
"birthday": null,
"emailAddress": null,
"gender": null,
"salutation": null,
"embeddedParent": null,
"emailNotifications": false,
"imageURLs": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateProfile",
"args": [
{
"0": null
}
]
}
User
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateUser
Пример JSON объекта запроса:{
"id": null,
"username": null,
"password": null,
"savedPassword": null,
"fallIntoObjects": null,
"active": false,
"roles": null,
"permissions": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateUser",
"args": [
{
"0": null
}
]
}
LocalizedText
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateTranslation
Пример JSON объекта запроса:{
"id": null,
"text": null,
"lang": null,
"fallIntoObjects": null
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateTranslation",
"args": [
{
"0": null
}
]
}
Order
| Аргумент | Тип | Описание |
|---|---|---|
data | LinkedHashMap<String, Object> | Передаётся через args[0].0. |
updateOrder
Пример JSON объекта запроса:{
}
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "updateOrder",
"args": [
{
"0": null
}
]
}
Product
| Аргумент | Тип | Описание |
|---|---|---|
categoryId | String | Передаётся через args[0].0. |
productId | String | Передаётся через args[1].1. |
addProductToCategory
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "addProductToCategory",
"args": [
{
"0": null,
"1": null
}
]
}
Category
| Аргумент | Тип | Описание |
|---|---|---|
parentId | String | Передаётся через args[0].0. |
childId | String | Передаётся через args[1].1. |
addChildCategory
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "addChildCategory",
"args": [
{
"0": null,
"1": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
categoryId | String | Передаётся через args[0].0. |
productId | String | Передаётся через args[1].1. |
removeProductFromCategory
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "removeProductFromCategory",
"args": [
{
"0": null,
"1": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
parentId | String | Передаётся через args[0].0. |
childId | String | Передаётся через args[1].1. |
removeChildCategory
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "removeChildCategory",
"args": [
{
"0": null,
"1": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
attributeId | String | Передаётся через args[0].0. |
username | String | Передаётся через args[1].1. |
addAttributeToAllProducts
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "addAttributeToAllProducts",
"args": [
{
"0": null,
"1": null
}
]
}
void
| Аргумент | Тип | Описание |
|---|---|---|
attributeId | String | Передаётся через args[0].0. |
username | String | Передаётся через args[1].1. |
addAttributeToAllSkus
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "addAttributeToAllSkus",
"args": [
{
"0": null,
"1": null
}
]
}
Map<String, String>
| Аргумент | Тип | Описание |
|---|---|---|
id | String | Передаётся через args[0].0. |
getTranslation
{
"beanId": "dataManagerServiceImpl",
"scope": "PROTOTYPE",
"functionName": "getTranslation",
"args": [
{
"0": null
}
]
}